echo off

cls
echo Upgrading your GBX-PRO GPS/Beacon Receiver.
echo.
echo.

if not "%windir%" == "" goto windows

echo If any errors occur during the upgrade procedure, keep trying
echo to continue the upgrade by pressing Enter. Do this until the upload
echo is finished.
echo.
echo This procedure will take about 13 minutes. Be sure you have a reliable
echo power source. If a power failure occurs during the upgrade procedure
echo the receiver will be useless and must be returned for repair.
echo.
choice /C:YN "Do you wish to continue with the upgrading procedure "

if errorlevel 2 goto end

cls
echo Verify your GBX-PRO is operating and is connected to your computer
echo via an available RS-232 communications port.
echo.
echo The software needs to know which communications port you are using.
echo You must enter 1 for communications port 1 and 2 for
echo communications port 2. Communication ports 3 and 4 are not
echo supported.
echo.
echo You will be asked again for the communications port number
echo when it is time to initialize your new GBX-PRO software.
echo.
choice /C:12E "Enter your communications port number... E to Exit "

if errorlevel 3 goto end

if errorlevel 2 goto port2

echo Set to communications port 1.
plg -p1 g12_gm00.dat -tbr2g
p0180002 gbxpro.scr 1 9600
goto upgrade

:port2
echo Set to communications port 2.
plg -p2 g12_gm00.dat -tbr2g
p0180002 gbxpro.scr 2 9600

:upgrade
echo.
echo Complete upgrade.
goto end

:windows
echo You must exit Windows and operate your computer using DOS only!
echo.
echo Shut Down Windows and restart your computer in MS-DOS mode.

:end
echo.
echo.
echo Upgrade program exited.

